SoftRAID



Purchase SoftRAID version 5:

$129.00 USD SoftRAID version 5


System Requirement: SoftRAID version 5 requires an Intel Mac running Mac OS X 10.6.8 or later. SoftRAID supports RAID levels 1, 4, 5 and 1+0. You can startup your Mac from any SoftRAID volume.

Upgrading to version 5: If you are a SoftRAID version 4 user and wish to upgrade to version 5, please visit the upgrade page of our web site. You will need your SoftRAID version 4 serial number to obtain upgrade pricing.

Technical Support: SoftRAID, Inc. provides 1 year of FREE e-mail technical support to licensed users starting from date of purchase. SoftRAID technical support is prompt and of the highest quality.

See what reviewers and users are saying about SoftRAID version 5.


Purchase SoftRAID technical support:

$99.00 USD SoftRAID Annual Support Annual Support

Most customers are extremely satisfied with our standard e-mail technical support, but if you really want to talk to a person, you can purchase additional support. Annual support gives you priority e-mail support for one year, plus 3 incidents of telephone support. (Each incident is good for help with your SoftRAID installation, or for ONE problem you are having. We will help you until that problem is solved.)

If you have any questions please contact support@softraid.com.

Return to the SoftRAID web site.

Having trouble? Call (510) 658-5244, Monday thru Friday between 9:00 a.m. and 5:00 p.m. Pacific Time. (Store Code: QCO_LIVE)

powered by Kagi